// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/order/model_supplier_info.proto

package order

import (
	_ "github.com/golang/protobuf/ptypes/wrappers"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type OffersBySupplier struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// supplier that created offers
	SupplierCode string `protobuf:"bytes,1,opt,name=supplier_code,json=supplierCode,proto3" json:"supplier_code,omitempty"`
	// active offer created for multi order
	Offers []*Offer `protobuf:"bytes,2,rep,name=offers,proto3" json:"offers,omitempty"`
	// active orders count that have active offers
	OrdersHasOffersCount int64 `protobuf:"varint,3,opt,name=orders_has_offers_count,json=ordersHasOffersCount,proto3" json:"orders_has_offers_count,omitempty"`
}

func (x *OffersBySupplier) Reset() {
	*x = OffersBySupplier{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_supplier_info_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *OffersBySupplier) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*OffersBySupplier) ProtoMessage() {}

func (x *OffersBySupplier) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_supplier_info_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use OffersBySupplier.ProtoReflect.Descriptor instead.
func (*OffersBySupplier) Descriptor() ([]byte, []int) {
	return file_v1_order_model_supplier_info_proto_rawDescGZIP(), []int{0}
}

func (x *OffersBySupplier) GetSupplierCode() string {
	if x != nil {
		return x.SupplierCode
	}
	return ""
}

func (x *OffersBySupplier) GetOffers() []*Offer {
	if x != nil {
		return x.Offers
	}
	return nil
}

func (x *OffersBySupplier) GetOrdersHasOffersCount() int64 {
	if x != nil {
		return x.OrdersHasOffersCount
	}
	return 0
}

type SupplierInfo struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	OffersBySupplier []*OffersBySupplier `protobuf:"bytes,1,rep,name=offers_by_supplier,json=offersBySupplier,proto3" json:"offers_by_supplier,omitempty"`
	// total order count for multi order
	OrderCount int64 `protobuf:"varint,2,opt,name=order_count,json=orderCount,proto3" json:"order_count,omitempty"`
}

func (x *SupplierInfo) Reset() {
	*x = SupplierInfo{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_supplier_info_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SupplierInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SupplierInfo) ProtoMessage() {}

func (x *SupplierInfo) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_supplier_info_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SupplierInfo.ProtoReflect.Descriptor instead.
func (*SupplierInfo) Descriptor() ([]byte, []int) {
	return file_v1_order_model_supplier_info_proto_rawDescGZIP(), []int{1}
}

func (x *SupplierInfo) GetOffersBySupplier() []*OffersBySupplier {
	if x != nil {
		return x.OffersBySupplier
	}
	return nil
}

func (x *SupplierInfo) GetOrderCount() int64 {
	if x != nil {
		return x.OrderCount
	}
	return 0
}

type ListSupplierInfoRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Filter     *OfferFilter       `protobuf:"bytes,1,opt,name=filter,proto3" json:"filter,omitempty"`
	Sorting    []*Sorting         `protobuf:"bytes,2,rep,name=sorting,proto3" json:"sorting,omitempty"`
	Pagination *PaginationRequest `protobuf:"bytes,3,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListSupplierInfoRequest) Reset() {
	*x = ListSupplierInfoRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_supplier_info_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListSupplierInfoRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListSupplierInfoRequest) ProtoMessage() {}

func (x *ListSupplierInfoRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_supplier_info_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListSupplierInfoRequest.ProtoReflect.Descriptor instead.
func (*ListSupplierInfoRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_model_supplier_info_proto_rawDescGZIP(), []int{2}
}

func (x *ListSupplierInfoRequest) GetFilter() *OfferFilter {
	if x != nil {
		return x.Filter
	}
	return nil
}

func (x *ListSupplierInfoRequest) GetSorting() []*Sorting {
	if x != nil {
		return x.Sorting
	}
	return nil
}

func (x *ListSupplierInfoRequest) GetPagination() *PaginationRequest {
	if x != nil {
		return x.Pagination
	}
	return nil
}

type ListSupplierInfoResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Items      *SupplierInfo       `protobuf:"bytes,1,opt,name=items,proto3" json:"items,omitempty"`
	Pagination *PaginationResponse `protobuf:"bytes,2,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListSupplierInfoResponse) Reset() {
	*x = ListSupplierInfoResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_supplier_info_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListSupplierInfoResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListSupplierInfoResponse) ProtoMessage() {}

func (x *ListSupplierInfoResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_supplier_info_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListSupplierInfoResponse.ProtoReflect.Descriptor instead.
func (*ListSupplierInfoResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_model_supplier_info_proto_rawDescGZIP(), []int{3}
}

func (x *ListSupplierInfoResponse) GetItems() *SupplierInfo {
	if x != nil {
		return x.Items
	}
	return nil
}

func (x *ListSupplierInfoResponse) GetPagination() *PaginationResponse {
	if x != nil {
		return x.Pagination
	}
	return nil
}

var File_v1_order_model_supplier_info_proto protoreflect.FileDescriptor

var file_v1_order_model_supplier_info_proto_rawDesc = []byte{
	0x0a, 0x22, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c,
	0x5f, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x69, 0x65, 0x72, 0x5f, 0x69, 0x6e, 0x66, 0x6f, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x12, 0x12, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x1a, 0x1e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x77, 0x72, 0x61, 0x70, 0x70, 0x65,
	0x72, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x15, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a,
	0x1a, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x5f,
	0x6f, 0x66, 0x66, 0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xa1, 0x01, 0x0a, 0x10,
	0x4f, 0x66, 0x66, 0x65, 0x72, 0x73, 0x42, 0x79, 0x53, 0x75, 0x70, 0x70, 0x6c, 0x69, 0x65, 0x72,
	0x12, 0x23, 0x0a, 0x0d, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x69, 0x65, 0x72, 0x5f, 0x63, 0x6f, 0x64,
	0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x69, 0x65,
	0x72, 0x43, 0x6f, 0x64, 0x65, 0x12, 0x31, 0x0a, 0x06, 0x6f, 0x66, 0x66, 0x65, 0x72, 0x73, 0x18,
	0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4f, 0x66, 0x66, 0x65, 0x72,
	0x52, 0x06, 0x6f, 0x66, 0x66, 0x65, 0x72, 0x73, 0x12, 0x35, 0x0a, 0x17, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x73, 0x5f, 0x68, 0x61, 0x73, 0x5f, 0x6f, 0x66, 0x66, 0x65, 0x72, 0x73, 0x5f, 0x63, 0x6f,
	0x75, 0x6e, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52, 0x14, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x73, 0x48, 0x61, 0x73, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x73, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x22,
	0x83, 0x01, 0x0a, 0x0c, 0x53, 0x75, 0x70, 0x70, 0x6c, 0x69, 0x65, 0x72, 0x49, 0x6e, 0x66, 0x6f,
	0x12, 0x52, 0x0a, 0x12, 0x6f, 0x66, 0x66, 0x65, 0x72, 0x73, 0x5f, 0x62, 0x79, 0x5f, 0x73, 0x75,
	0x70, 0x70, 0x6c, 0x69, 0x65, 0x72, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x24, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x73, 0x42, 0x79, 0x53, 0x75, 0x70, 0x70, 0x6c, 0x69,
	0x65, 0x72, 0x52, 0x10, 0x6f, 0x66, 0x66, 0x65, 0x72, 0x73, 0x42, 0x79, 0x53, 0x75, 0x70, 0x70,
	0x6c, 0x69, 0x65, 0x72, 0x12, 0x1f, 0x0a, 0x0b, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x63, 0x6f,
	0x75, 0x6e, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x43, 0x6f, 0x75, 0x6e, 0x74, 0x22, 0xd0, 0x01, 0x0a, 0x17, 0x4c, 0x69, 0x73, 0x74, 0x53, 0x75,
	0x70, 0x70, 0x6c, 0x69, 0x65, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x12, 0x37, 0x0a, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x1f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x46, 0x69, 0x6c, 0x74,
	0x65, 0x72, 0x52, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x35, 0x0a, 0x07, 0x73, 0x6f,
	0x72, 0x74, 0x69, 0x6e, 0x67, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x53, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x52, 0x07, 0x73, 0x6f, 0x72, 0x74, 0x69, 0x6e,
	0x67, 0x12, 0x45, 0x0a, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x25, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x52, 0x0a, 0x70, 0x61,
	0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x9a, 0x01, 0x0a, 0x18, 0x4c, 0x69, 0x73,
	0x74, 0x53, 0x75, 0x70, 0x70, 0x6c, 0x69, 0x65, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x36, 0x0a, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x53, 0x75, 0x70, 0x70, 0x6c, 0x69,
	0x65, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x12, 0x46, 0x0a,
	0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x26, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x52, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x4b, 0x0a, 0x15, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x50, 0x01,
	0x5a, 0x2d, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x66, 0x63, 0x70,
	0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x67, 0x65, 0x6e,
	0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0xba,
	0x02, 0x00, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_order_model_supplier_info_proto_rawDescOnce sync.Once
	file_v1_order_model_supplier_info_proto_rawDescData = file_v1_order_model_supplier_info_proto_rawDesc
)

func file_v1_order_model_supplier_info_proto_rawDescGZIP() []byte {
	file_v1_order_model_supplier_info_proto_rawDescOnce.Do(func() {
		file_v1_order_model_supplier_info_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_order_model_supplier_info_proto_rawDescData)
	})
	return file_v1_order_model_supplier_info_proto_rawDescData
}

var file_v1_order_model_supplier_info_proto_msgTypes = make([]protoimpl.MessageInfo, 4)
var file_v1_order_model_supplier_info_proto_goTypes = []interface{}{
	(*OffersBySupplier)(nil),         // 0: fcp.order.v1.order.OffersBySupplier
	(*SupplierInfo)(nil),             // 1: fcp.order.v1.order.SupplierInfo
	(*ListSupplierInfoRequest)(nil),  // 2: fcp.order.v1.order.ListSupplierInfoRequest
	(*ListSupplierInfoResponse)(nil), // 3: fcp.order.v1.order.ListSupplierInfoResponse
	(*Offer)(nil),                    // 4: fcp.order.v1.order.Offer
	(*OfferFilter)(nil),              // 5: fcp.order.v1.order.OfferFilter
	(*Sorting)(nil),                  // 6: fcp.order.v1.order.Sorting
	(*PaginationRequest)(nil),        // 7: fcp.order.v1.order.PaginationRequest
	(*PaginationResponse)(nil),       // 8: fcp.order.v1.order.PaginationResponse
}
var file_v1_order_model_supplier_info_proto_depIdxs = []int32{
	4, // 0: fcp.order.v1.order.OffersBySupplier.offers:type_name -> fcp.order.v1.order.Offer
	0, // 1: fcp.order.v1.order.SupplierInfo.offers_by_supplier:type_name -> fcp.order.v1.order.OffersBySupplier
	5, // 2: fcp.order.v1.order.ListSupplierInfoRequest.filter:type_name -> fcp.order.v1.order.OfferFilter
	6, // 3: fcp.order.v1.order.ListSupplierInfoRequest.sorting:type_name -> fcp.order.v1.order.Sorting
	7, // 4: fcp.order.v1.order.ListSupplierInfoRequest.pagination:type_name -> fcp.order.v1.order.PaginationRequest
	1, // 5: fcp.order.v1.order.ListSupplierInfoResponse.items:type_name -> fcp.order.v1.order.SupplierInfo
	8, // 6: fcp.order.v1.order.ListSupplierInfoResponse.pagination:type_name -> fcp.order.v1.order.PaginationResponse
	7, // [7:7] is the sub-list for method output_type
	7, // [7:7] is the sub-list for method input_type
	7, // [7:7] is the sub-list for extension type_name
	7, // [7:7] is the sub-list for extension extendee
	0, // [0:7] is the sub-list for field type_name
}

func init() { file_v1_order_model_supplier_info_proto_init() }
func file_v1_order_model_supplier_info_proto_init() {
	if File_v1_order_model_supplier_info_proto != nil {
		return
	}
	file_v1_order_common_proto_init()
	file_v1_order_model_offer_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_v1_order_model_supplier_info_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*OffersBySupplier); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_supplier_info_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SupplierInfo); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_supplier_info_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListSupplierInfoRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_supplier_info_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListSupplierInfoResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_order_model_supplier_info_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   4,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_order_model_supplier_info_proto_goTypes,
		DependencyIndexes: file_v1_order_model_supplier_info_proto_depIdxs,
		MessageInfos:      file_v1_order_model_supplier_info_proto_msgTypes,
	}.Build()
	File_v1_order_model_supplier_info_proto = out.File
	file_v1_order_model_supplier_info_proto_rawDesc = nil
	file_v1_order_model_supplier_info_proto_goTypes = nil
	file_v1_order_model_supplier_info_proto_depIdxs = nil
}
